
 LinHES - Support # 795: Repos change for R6 ...

Status: Closed Priority: Normal
Author: martin1802 Category:
Created: 11/11/2011 Assignee:
Updated: 11/14/2011 Due date:
Description: my actual running system should stay at R6 for a while ... changing the repos for it to R6 core/extra ... gave 

me some warnings and some deps problems ...

the machine is at R6 core/extra on stable branch until I change it to "old" R6 repos ...

Thanks for your great work on LinHES R7 :-)

----------------------
[root@wohnzimmer1 ~]# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
:: Starting full system upgrade...
:: Replace aufs-utils with core/aufs2-util? [Y/n] 
warning: beautiful-soup: local (3.1.0.1-1) is newer than extra (3.1.0-2)
warning: ethtool: local (6-1) is newer than extra (2:2.6.39-3)
:: Replace firefox with extra/chromium? [Y/n] 
:: Replace freetype2-static with core/freetype2? [Y/n] 
:: Replace hdhomerun with core/libhdhomerun? [Y/n] 
:: Replace iguanaIR with core/iguanair? [Y/n] 
:: Replace iwlwifi-4965-ucode with core/linux-firmware? [Y/n] 
:: Replace jack-audio-connection-kit with core/jack? [Y/n] 
:: Replace kernel-headers with core/linux-api-headers? [Y/n] 
:: Replace klibc with core/mkinitcpio? [Y/n] 
:: Replace klibc-extras with core/mkinitcpio? [Y/n] 
:: Replace klibc-kbd with core/mkinitcpio? [Y/n] 
:: Replace klibc-module-init-tools with core/mkinitcpio? [Y/n] 
:: Replace klibc-udev with core/mkinitcpio? [Y/n] 
:: Replace man with core/man-db? [Y/n] 
:: Replace netkit-telnet with core/netkit-telnet-ssl? [Y/n] 
:: Replace perl-xml-libxml-common with core/perl-xml-libxml? [Y/n] 
:: Replace perlxml with core/perl-xml-parser? [Y/n] 
:: Replace pil with core/python-imaging? [Y/n] 
:: Replace pkgconfig with core/pkg-config? [Y/n] 
:: Replace policykit with extra/polkit? [Y/n] 
:: Replace portmap with core/rpcbind? [Y/n] 
:: Replace procinfo with core/procinfo-ng? [Y/n] 
:: Replace python with core/python2? [Y/n] 
:: Replace rt2500 with core/kernel26? [Y/n] 
:: Replace rt2x00-rt61-fw with core/linux-firmware? [Y/n] 
:: Replace rt2x00-rt71w-fw with core/linux-firmware? [Y/n] 
warning: tdb: local (3.3.4-1) is newer than core (1:1.2.9-1)
:: Replace util-linux-ng with core/util-linux? [Y/n] 
:: Replace xf86-video-amd with core/xf86-video-geode? [Y/n] 
:: Replace xz-utils with core/xz? [Y/n] 
resolving dependencies...
warning: cannot resolve "libxfce4util>=4.6.2", a dependency of "exo"
warning: provider package was selected (v4l-utils provides libv4l)
warning: provider package was selected (libbluray-git provides libbluray)
:: the following package(s) cannot be upgraded due to unresolvable dependencies:
      exo  

Do you want to skip the above package(s) for this upgrade? [Y/n] warning: dependency cycle detected:
warning: runit will be installed before its initscripts dependency
warning: dependency cycle detected:
warning: runit will be installed before its poweroff-scripts dependency
warning: dependency cycle detected:
warning: poweroff-scripts will be installed before its sysvinit dependency
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: aufs: requires kernel26<2.6.29
:: aufs: requires aufs-utils=20081226
:: madwifi: requires kernel26<2.6.29
[root@wohnzimmer1 ~]# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
:: Starting full system upgrade...
:: Replace aufs-utils with core/aufs2-util? [Y/n] 
warning: beautiful-soup: local (3.1.0.1-1) is newer than extra (3.1.0-2)
warning: ethtool: local (6-1) is newer than extra (2:2.6.39-3)
:: Replace firefox with extra/chromium? [Y/n] 
:: Replace freetype2-static with core/freetype2? [Y/n] 
:: Replace hdhomerun with core/libhdhomerun? [Y/n] 
:: Replace iguanaIR with core/iguanair? [Y/n] 
:: Replace iwlwifi-4965-ucode with core/linux-firmware? [Y/n] 
:: Replace jack-audio-connection-kit with core/jack? [Y/n] 
:: Replace kernel-headers with core/linux-api-headers? [Y/n] 
:: Replace klibc with core/mkinitcpio? [Y/n] 
:: Replace klibc-extras with core/mkinitcpio? [Y/n] 
:: Replace klibc-kbd with core/mkinitcpio? [Y/n] 
:: Replace klibc-module-init-tools with core/mkinitcpio? [Y/n] 
:: Replace klibc-udev with core/mkinitcpio? [Y/n] 
:: Replace man with core/man-db? [Y/n] 
:: Replace netkit-telnet with core/netkit-telnet-ssl? [Y/n] 
:: Replace perl-xml-libxml-common with core/perl-xml-libxml? [Y/n] 
:: Replace perlxml with core/perl-xml-parser? [Y/n] 
:: Replace pil with core/python-imaging? [Y/n] 
:: Replace pkgconfig with core/pkg-config? [Y/n] 
:: Replace policykit with extra/polkit? [Y/n] 
:: Replace portmap with core/rpcbind? [Y/n] 
:: Replace procinfo with core/procinfo-ng? [Y/n] 
:: Replace python with core/python2? [Y/n] 
:: Replace rt2500 with core/kernel26? [Y/n] 
:: Replace rt2x00-rt61-fw with core/linux-firmware? [Y/n] 
:: Replace rt2x00-rt71w-fw with core/linux-firmware? [Y/n] 
warning: tdb: local (3.3.4-1) is newer than core (1:1.2.9-1)
:: Replace util-linux-ng with core/util-linux? [Y/n] 
:: Replace xf86-video-amd with core/xf86-video-geode? [Y/n] 
:: Replace xz-utils with core/xz? [Y/n] 
resolving dependencies...
warning: cannot resolve "libxfce4util>=4.6.2", a dependency of "exo"
warning: provider package was selected (v4l-utils provides libv4l)
warning: provider package was selected (libbluray-git provides libbluray)
:: the following package(s) cannot be upgraded due to unresolvable dependencies:
      exo  

Do you want to skip the above package(s) for this upgrade? [Y/n] 

----------------------

History
11/11/2011 09:01 am - brfransen
The first few lines say core and extra are up to date.  Check your /etc/pacman.conf again and make sure that all non-R6 repo are commented out.  My 
guess is that there lines pointing to either the current stable or testing repos that are not commented in addition to the R6 repos.

11/11/2011 09:01 am - brfransen
- Status changed from New to Feedback

11/11/2011 09:08 am - martin1802
Hi ...

thanks for quick response :-)

no other repos are activ in pacman.conf ... sync updates repos info in my first try ... sorry did not capture it before now repos info is up to date ... no 
additional arch repos activ

11/11/2011 09:21 am - brfransen
Please post your /etc/pacman.conf.

11/11/2011 09:37 am - martin1802
- File pacman.conf added

...

11/11/2011 09:58 am - brfransen
Ok, I think you must have sync'ed with the stable repo after R7 packages were pushed but before you changed your pacman.conf to point to the old R6 
repos.  Try pacman -Syy with your pacman.conf pointing to the R6 repos and then pacman -Syu.

11/14/2011 07:30 am - martin1802
[Closed] Works fine and my system is back (up to date) again ...

-------------------
[root@wohnzimmer1 ~]# pacman -Syy
:: Synchronizing package databases...
 core                     115.1K  112.0K/s 00:00:01 [###################################] 100%
 extra                     59.1K   72.8K/s 00:00:01 [###################################] 100%
[root@wohnzimmer1 ~]# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (12): linhes-theme-1.4-2  mythtv-0.24-8  mytharchive-0.24-4  mythbrowser-0.24-4  
              mythgallery-0.24-4  mythinstall-3-2  mythmusic-0.24-4  mythnews-0.24-4  
              myththemes-0.24-3  mythvideo-0.24-4  mythweather-0.24-4  mythweb-0.24-4  

Total Download Size:    67.09 MB
Total Installed Size:   128.35 MB

Proceed with installation? [Y/n] 
:: Retrieving packages from core...
 linhes-theme-1.4-2-i686 1055.1K  395.4K/s 00:00:03 [###################################] 100%
 mythtv-0.24-8-i686        32.9M 1202.0K/s 00:00:28 [###################################] 100%
 mytharchive-0.24-4-i686   13.3M  631.8K/s 00:00:22 [###################################] 100%
 mythbrowser-0.24-4-i686   81.1K   84.4K/s 00:00:01 [###################################] 100%
 mythgallery-0.24-4-i686  253.7K  183.2K/s 00:00:01 [###################################] 100%
 mythinstall-3-2-i686     333.3K  234.1K/s 00:00:01 [###################################] 100%
 mythmusic-0.24-4-i686   1172.8K  417.1K/s 00:00:03 [###################################] 100%
 mythnews-0.24-4-i686     142.3K  122.0K/s 00:00:01 [###################################] 100%
 myththemes-0.24-3-any     15.5M  861.8K/s 00:00:18 [###################################] 100%
 mythvideo-0.24-4-i686    675.0K  317.7K/s 00:00:02 [###################################] 100%
 mythweather-0.24-4-i686  940.4K  392.6K/s 00:00:02 [###################################] 100%
 mythweb-0.24-4-i686     1960.8K  487.8K/s 00:00:04 [###################################] 100%
checking package integrity...
(12/12) checking for file conflicts                 [###################################] 100%
( 1/12) upgrading linhes-theme                      [###################################] 100%
( 2/12) upgrading mythtv                            [###################################] 100%
( 3/12) upgrading mytharchive                       [###################################] 100%
( 4/12) upgrading mythbrowser                       [###################################] 100%
( 5/12) upgrading mythgallery                       [###################################] 100%
( 6/12) upgrading mythinstall                       [###################################] 100%
( 7/12) upgrading mythmusic                         [###################################] 100%
( 8/12) upgrading mythnews                          [###################################] 100%
( 9/12) upgrading myththemes                        [###################################] 100%
(10/12) upgrading mythvideo                         [###################################] 100%
(11/12) upgrading mythweather                       [###################################] 100%
(12/12) upgrading mythweb                           [###################################] 100%
[root@wohnzimmer1 ~]# 
-------------------

This week I will try new 7.01.00 Release on a different maching ... giving feedback!

11/14/2011 07:31 am - brfransen
- Tracker changed from Bug to Support

11/14/2011 07:32 am - brfransen
- Status changed from Feedback to Closed
